Bug 157744 - rederer import not found
rederer import not found
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-14 09:00 EDT by Brian G. Anderson
Modified: 2008-01-23 13:14 EST (History)
3 users (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 13:14:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2005-05-14 09:00:32 EDT
Description of problem:
I just did a fresh install of FC4T3 and when I invoke system-config-lvm from the
menu nothing happens.  Invoking it from the command line yields a traceback with
the following message

Traceback (most recent call last):
  File "/usr/sbin/system-config-lvm", line 48, in ?
    from renderer import volume_renderer
ImportError: No module named renderer


Version-Release number of selected component (if applicable):
system-config-lvm-0.9.25-1.0

How reproducible:
always


Steps to Reproduce:
1.install fresh system
2.infoke system-config-lvm
3.
  
Actual results:
traceback


Expected results:
lvm wizard


Additional info:
Comment 1 Jim Parsons 2005-05-17 14:44:06 EDT
The file is definitely in the distribution, where it is supposed to be. I have
checked this 6 ways from Sunday!
Comment 2 Brian G. Anderson 2005-05-17 16:52:56 EDT
Well, I played around with this some more.  

First of all I remove system-config-lvm and removed
/usr/share/system-config-lvm.  I then reinstalled the rpm.  Here is what I found

* Invoking this from the Desktom->System Setting->Logical Volume Management
doesn't bring up this tool.  The little time icon runs for a while and then it
disappears.

* invoking "system-config-lvm" from the command line results in the renderer not
found message coming up.

* invoking "sudo system-config-lvm" (ie as root) brings the tool up and it seems
to work.

* invoking "system-config-lvm" after running it previously as root will result
in a message "Please restart /usr/sbin/system-config-lvm with root permissions"

* Using the menu to invoke the tool still doesn't work.


Some observations:  in other tools the python files *.py are read-execute by
group and others.  In system-config-lvm, they are not.  When I invoke the tool
as root the *.pyc files get created as read by everyone.

I couldn't figure out why invoking it from the menu doesn't bring up the login
as root prompt that all the other tools provide.

Remember I am using a fresh install of FC4T3 so this is the state of lvm as it
came from rawhide.
Comment 3 Brian G. Anderson 2005-05-17 17:07:03 EDT
Ok I found out what is wrong.  The entry in
/usr/share/applications/system-config-lvm.desktop lists the exec path as
/usr/sbin/system-config-lvm instead of /usr/bin/system-config-lvm.
Comment 4 Jim Parsons 2005-05-23 16:01:13 EDT
ah - sorry to doubt you! Fixed in 0.9.30-1.0
Comment 5 Jim Parsons 2005-05-23 16:01:51 EDT
Fixed in 0.9.30-1.0
Comment 6 David Lawrence 2006-07-17 22:55:58 EDT
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.
Comment 7 Matthew Miller 2007-04-06 11:05:20 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.

Note You need to log in before you can comment on or make changes to this bug.